## org.eclipse.datatools.modelbase.sql.schema
Interface Database

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASABaseDatabase, SybaseASADatabase, SybaseASEDatabase

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl, JDBCDatabase, MySqlCatalogDatabase, PostgresCatalogDatabase, SybaseASABaseDatabaseImpl, SybaseASACatalogDatabase, SybaseASADatabaseImpl, SybaseASECatalogDatabase, SybaseASEDatabaseImpl

    public interface Database

extends SQLObject

A representation of the model object 'Database'. Reference: 5WD-02-Foundation-2002-12

The following features are supported:

- `Vendor`
- `Version`
- `Schemas`
- `Events`
- `Catalogs`
- `Authorization Ids`

See Also:
  `SQLSchemaPackage.getDatabase()`

Method Summary
`org.eclipse.emf.common.util.EList` `getAuthorizationIds()` Returns the value of the 'Authorization Ids' reference list.
`org.eclipse.emf.common.util.EList` `getCatalogs()` Returns the value of the 'Catalogs' reference list.
`org.eclipse.emf.common.util.EList` `getEvents()` Returns the value of the 'Events' reference list.
`org.eclipse.emf.common.util.EList` `getSchemas()` Returns the value of the 'Schemas' reference list.
`java.util.List` `getUserDefinedTypes()`
`java.lang.String` `getVendor()` Returns the value of the 'Vendor' attribute.
`java.lang.String` `getVersion()` Returns the value of the 'Version' attribute.
`void` `setVendor(java.lang.String value)` Sets the value of the '`Vendor`' attribute.
`void` `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getVendor

    java.lang.String getVendor()

  Returns the value of the 'Vendor' attribute.

  If the meaning of the 'Vendor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Vendor' attribute.
  See Also:
    `setVendor(String)`, `SQLSchemaPackage.getDatabase_Vendor()`

### setVendor

    void setVendor(java.lang.String value)

  Sets the value of the '`Vendor`' attribute.

  Parameters:
    `value` - the new value of the 'Vendor' attribute.
  See Also:
    `getVendor()`

### getVersion

    java.lang.String getVersion()

  Returns the value of the 'Version' attribute.

  If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version' attribute.
  See Also:
    `setVersion(String)`, `SQLSchemaPackage.getDatabase_Version()`

### setVersion

    void setVersion(java.lang.String value)

  Sets the value of the '`Version`' attribute.

  Parameters:
    `value` - the new value of the 'Version' attribute.
  See Also:
    `getVersion()`

### getSchemas

    org.eclipse.emf.common.util.EList getSchemas()

  Returns the value of the 'Schemas' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Schemas' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Schemas()`, `Schema.getDatabase()`

### getEvents

    org.eclipse.emf.common.util.EList getEvents()

  Returns the value of the 'Events' reference list. The list contents are of type `Event`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Events' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Events' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Events()`, `Event.getDatabase()`

### getCatalogs

    org.eclipse.emf.common.util.EList getCatalogs()

  Returns the value of the 'Catalogs' reference list. The list contents are of type `Catalog`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Catalogs' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Catalogs' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Catalogs()`, `Catalog.getDatabase()`

### getAuthorizationIds

    org.eclipse.emf.common.util.EList getAuthorizationIds()

  Returns the value of the 'Authorization Ids' reference list. The list contents are of type `AuthorizationIdentifier`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Authorization Ids' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Authorization Ids' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_AuthorizationIds()`, `AuthorizationIdentifier.getDatabase()`

### getUserDefinedTypes

    java.util.List getUserDefinedTypes()